ldns_struct_rdf Struct Reference

Resource record data field. More...

`#include <rdata.h>`

## Data Fields

size_t | _size
| The size of the data (in octets).
ldns_rdf_type | _type
| The type of the data.
void * | _data
| Pointer to the data (raw octets).

## Detailed Description

Resource record data field.

The data is a network ordered array of bytes, which size is specified by the (16-bit) size field. To correctly parse it, use the type specified in the (16-bit) type field with a value from ldns_rdf_type.

Definition at line 202 of file rdata.h.

## Field Documentation

## _size

size_t ldns_struct_rdf::_size

The size of the data (in octets).

Definition at line 205 of file rdata.h.

## _type

ldns_rdf_type ldns_struct_rdf::_type

The type of the data.

Definition at line 207 of file rdata.h.

## _data

void* ldns_struct_rdf::_data

Pointer to the data (raw octets).

Definition at line 209 of file rdata.h.